Loading...
Searching...
No Matches
RDKit::v2::FileParsers::MolFileUnhandledFeatureException Class Reference

`#include <FileParsers.h>`

Inheritance diagram for RDKit::v2::FileParsers::MolFileUnhandledFeatureException:

## Public Member Functions

| MolFileUnhandledFeatureException (const char *msg)
| construct with an error message
| MolFileUnhandledFeatureException (const std::string msg)
| construct with an error message
const char * | what () const noexcept override
| get the error message
| ~MolFileUnhandledFeatureException () noexcept override=default

## Detailed Description

Definition at line 32 of file FileParsers.h.

## Constructor & Destructor Documentation

## MolFileUnhandledFeatureException() [1/2]

RDKit::v2::FileParsers::MolFileUnhandledFeatureException::MolFileUnhandledFeatureException | ( | const char * | msg | ) |

inline explicit

construct with an error message

Definition at line 36 of file FileParsers.h.

## MolFileUnhandledFeatureException() [2/2]

RDKit::v2::FileParsers::MolFileUnhandledFeatureException::MolFileUnhandledFeatureException | ( | const std::string | msg | ) |

inline explicit

construct with an error message

Definition at line 38 of file FileParsers.h.

## ~MolFileUnhandledFeatureException()

RDKit::v2::FileParsers::MolFileUnhandledFeatureException::~MolFileUnhandledFeatureException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char * RDKit::v2::FileParsers::MolFileUnhandledFeatureException::what | ( |  | ) | const

inline override noexcept

get the error message

Definition at line 41 of file FileParsers.h.

The documentation for this class was generated from the following file:

- FileParsers.h